## python-castellan 1.2.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
cryptography>=2.1 # BSD/Apache-2.0
python-barbicanclient>=4.5.2 # Apache-2.0
oslo.config>=6.4.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0

=== debian/changelog ===
python-castellan (1.2.2-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 11 Mar 2019 19:50:40 +0000

python-castellan (1.2.2-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Mar 2019 14:08:16 -0400

python-castellan (1.2.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/p/*: Drop, all included in upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Feb 2019 09:59:00 +0000

python-castellan (1.1.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 13:49:15 -0500

python-castellan (1.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/p/0001-Fix-Vault-K-V-API-compatibility.patch,
        0002-Add-method-to-wrap-HashiCorp-Vault-HTTP-API-calls.patch:
    Drop, included in release.
  * d/control: Switch to using python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Mon, 26 Nov 2018 13:28:36 +0000

python-castellan (0.19.0-0ubuntu2) cosmic; urgency=medium

  * d/p/0001-Fix-Vault-K-V-API-compatibility.patchi,
        0002-Add-method-to-wrap-HashiCorp-Vault-HTTP-API-calls.patch:
    Resolve issues with compatibility with Vault 0.10.0 where the KV engine
    is versioned by default (LP: #1788375).
  * d/p/0003-vault-add-AppRole-support.patch: Add support for Vault
    AppRole authentication (LP: #1796851).
  * d/p/0004-vault-support-configuration-of-KV-mountpoint.patch: Add support
    for configuration of the KV mountpoint to use in Vault (LP: #1797148).

 -- James Page <james.page@ubuntu.com>  Thu, 11 Oct 2018 12:21:17 +0100

python-castellan (0.19.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Aug 2018 16:16:14 -0400

python-castellan (0.18.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control, d/compat: Bump debhelper compat to 10.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Jun 2018 16:17:13 -0400

=== debian/control ===
Source: python-castellan
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-bandit (>= 1.1.0),
 python-barbicanclient (>= 4.5.2),
 python-coverage (>= 4.0),
 python-cryptography (>= 2.1),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-keystoneauth1 (>= 3.4.0),
 python-oslo.config (>= 1:6.4.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-stestr (>= 2.0.0),
 python-stevedore (>= 1:1.20.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-subunit (>= 1.0.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-barbicanclient (>= 4.5.2),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.1),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:6.4.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-reno (>= 2.5.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-subunit (>= 1.0.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-castellan
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-castellan
Homepage: https://github.com/openstack/castellan
Testsuite: autopkgtest-pkg-python

Package: python-castellan
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-barbicanclient (>= 4.5.2),
 python-cryptography (>= 2.1),
 python-keystoneauth1 (>= 3.4.0),
 python-oslo.config (>= 1:6.4.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-castellan-doc,
Description: generic key manager interface for OpenStack - Python 2.x
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the Python 2.x module.

Package: python-castellan-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: generic key manager interface for OpenStack - doc
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the documentation.

Package: python3-castellan
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cryptography (>= 2.1),
 python3-keystoneauth1 (>= 3.4.0),
 python3-oslo.config (>= 1:6.4.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-castellan-doc,
Description: generic key manager interface for OpenStack - Python 3.x
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the Python 3.x module.

## python-castellan 1.3.1

=== requirements.txt ===
--- 
+++ 
@@ -13,3 +13,4 @@
 oslo.utils>=3.33.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 keystoneauth1>=3.4.0 # Apache-2.0
+requests>=2.14.2,!=2.20.0 # Apache-2.0

=== debian/changelog ===
python-castellan (1.3.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 09:06:13 +0200

python-castellan (1.3.1-2) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2019 15:37:15 +0200

python-castellan (1.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 16:40:38 +0200

python-castellan (1.2.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 20:20:39 +0200

python-castellan (1.2.2-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Run unit tests from installed Python package.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 17:50:55 +0100

=== debian/control ===
Source: python-castellan
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-barbicanclient,
 python3-cryptography,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest,
 python3-requests,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-castellan
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-castellan.git
Homepage: https://github.com/openstack/castellan

Package: python-castellan-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: generic key manager interface for OpenStack - doc
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the documentation.

Package: python3-castellan
Architecture: all
Depends:
 python3-babel,
 python3-barbicanclient,
 python3-cryptography,
 python3-keystoneauth1,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-castellan-doc,
Description: generic key manager interface for OpenStack - Python 3.x
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the Python 3.x module.

## python-castellan 2.0.0

=== debian/changelog ===
python-castellan (2.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Mar 2020 16:16:08 -0400

python-castellan (1.4.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from openstack.org.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control: Stay at debhelper compat level 10.
    - d/control: Keep breaks/replaces of python-castellan.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream
  * d/p/sphinxcontrib-rsvgconverter.patch: Patch-out sphinxcontrib-rsvgconverter.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 09 Dec 2019 11:06:59 +0100

python-castellan (1.3.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:06:50 -0400

python-castellan (1.3.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:26:47 -0400

python-castellan (1.2.2-0ubuntu2) eoan; urgency=medium

  * Drop Python 2 support:
    - d/control: Drop python-castellan binary package.
    - d/control: Drop BDI's on python-*.
    - d/rules: Don't install and test with Python 2.
    - d/rules: Generate configuration file into python3-castellan
      package.
    - d/control: Add Breaks/Replaces python3-castellan->python-castellan
      to deal with move of configuration file.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Jul 2019 05:53:00 +0100

## python-castellan 3.0.1

=== requirements.txt ===
--- 
+++ 
@@ -13,4 +13,4 @@
 oslo.utils>=3.33.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 keystoneauth1>=3.4.0 # Apache-2.0
-requests>=2.14.2,!=2.20.0 # Apache-2.0
+requests>=2.18.0,!=2.20.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=1.8.0,!=2.1.0  # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
reno>=2.5.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0

=== debian/changelog ===
python-castellan (3.0.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Apr 2020 10:42:44 -0400

python-castellan (3.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 10:16:58 -0400

=== debian/control ===
Source: python-castellan
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.8.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cryptography (>= 2.1),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:6.4.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.18.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-castellan
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-castellan
Homepage: https://github.com/openstack/castellan
Testsuite: autopkgtest-pkg-python

Package: python-castellan-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: generic key manager interface for OpenStack - doc
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the documentation.

Package: python3-castellan
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cryptography (>= 2.1),
 python3-keystoneauth1 (>= 3.4.0),
 python3-oslo.config (>= 1:6.4.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.18.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-castellan-doc,
Breaks: python-castellan (<< 1.2.2-0ubuntu2~)
Replaces: python-castellan (<< 1.2.2-0ubuntu2~)
Description: generic key manager interface for OpenStack - Python 3.x
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/castellan.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done

	mkdir -p $(CURDIR)/debian/tmp/etc/castellan
	PYTHONPATH=. oslo-config-generator --output-file $(CURDIR)/debian/tmp/etc/castellan/castellan.conf \
		--wrap-width 140 \
		--namespace castellan.config

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'castellan\.tests\.unit.*'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-castellan-doc/usr/share/doc/python-castellan-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-castellan 3.6.0

=== requirements.txt ===
--- 
+++ 
@@ -3,8 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-Babel!=2.4.0,>=2.3.4 # BSD
-cryptography>=2.1 # BSD/Apache-2.0
+cryptography>=2.7 # BSD/Apache-2.0
 python-barbicanclient>=4.5.2 # Apache-2.0
 oslo.config>=6.4.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0

=== debian/changelog ===
python-castellan (3.6.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 22:44:08 +0200

python-castellan (3.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed min version of python3-cryptography.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 15:50:56 +0200

python-castellan (3.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-babel from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2020 09:15:12 +0200

python-castellan (3.0.2-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Jul 2020 15:43:54 +0200

python-castellan (3.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 12:17:06 +0200

python-castellan (3.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Apr 2020 22:48:24 +0200

python-castellan (3.0.0-1) experimental; urgency=medium

  * Fix upstream URL in d/rules, d/control and d/copyright.
  * New upstream release.
  * Add python3-sphinxcontrib.svg2pdfconverter as build-depends.
  * Add remove-privacy-breach-from-doc.patch.
  * Switch to debhelper-compat 11.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 16:52:06 +0200

=== debian/control ===
Source: python-castellan
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-barbicanclient,
 python3-cryptography (>= 2.7),
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest,
 python3-requests,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-castellan
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-castellan.git
Homepage: https://opendev.org/openstack/castellan

Package: python-castellan-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: generic key manager interface for OpenStack - doc
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the documentation.

Package: python3-castellan
Architecture: all
Depends:
 python3-barbicanclient,
 python3-cryptography (>= 2.7),
 python3-keystoneauth1,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-castellan-doc,
Description: generic key manager interface for OpenStack - Python 3.x
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://github.com/openstack/castellan.git
+UPSTREAM_GIT := https://opendev.org/openstack/castellan
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:

## python-castellan 3.7.1

=== debian/changelog ===
python-castellan (3.7.1-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 23 Mar 2021 00:17:34 +0000

python-castellan (3.7.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 17 Mar 2021 11:37:04 +0000

python-castellan (3.7.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/p/debian/patches/sphinxcontrib-rsvgconverter.patch: Refreshed.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 04 Dec 2020 12:10:23 +0000

python-castellan (3.6.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:23:35 -0400

python-castellan (3.5.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 06:51:01 +0000

python-castellan (3.4.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 09:12:05 +0000

python-castellan (3.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Switch to pybuild.
  * d/control: Switch to debhelper compat 12.
  * d/control: Update Standards-Version to 4.5.0.
  * d/control: Restrict python3-hacking to 1.1.0 (Groovy).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 12 Jun 2020 06:57:40 +0000

## python-castellan 3.9.1

=== debian/changelog ===
python-castellan (3.9.1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 12:33:44 +0000

python-castellan (3.9.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:34:31 -0400

python-castellan (3.8.0-0ubuntu1) impish; urgency=medium

  * d/watch: Update URL to OpenDev.org.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Jun 2021 07:21:34 +0000

=== debian/control ===
Source: python-castellan
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-barbicanclient (>= 4.5.2),
 python3-cryptography (>= 2.7),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.config (>= 1:6.4.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.18.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-castellan
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-castellan
Homepage: https://github.com/openstack/castellan
Testsuite: autopkgtest-pkg-python

Package: python-castellan-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: generic key manager interface for OpenStack - doc
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the documentation.

Package: python3-castellan
Architecture: all
Depends:
 python3-barbicanclient (>= 4.5.2),
 python3-cryptography (>= 2.7),
 python3-keystoneauth1 (>= 3.4.0),
 python3-oslo.config (>= 1:6.4.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.18.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-castellan-doc,
Breaks: python-castellan (<< 1.2.2-0ubuntu2~)
Replaces: python-castellan (<< 1.2.2-0ubuntu2~)
Description: generic key manager interface for OpenStack - Python 3.x
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the Python 3.x module.

## python-castellan 3.10.0

=== debian/changelog ===
python-castellan (3.10.0-0ubuntu1.1) jammy; urgency=medium

  * d/gbp.conf: Create stable/yoga branch.
  * d/p/replace-the-deprecated-argument-tenant.patch: Picked from upstream
    to fix FTBFS by replacing deprecated tenant argument (LP: #1976102).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 May 2022 12:52:35 -0400

python-castellan (3.10.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 16 Nov 2021 16:04:29 -0500

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
  python3-requests (>= 2.18.0),
+ python3-requests-mock (>= 1.2.0),
  python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
  python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),

## python-castellan 3.10.2

=== debian/changelog ===
python-castellan (3.10.2-1~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Fri, 13 May 2022 09:14:31 +0000

python-castellan (3.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Removed Replace_the_deprecated_argument_tenant.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 May 2022 11:11:19 +0200

python-castellan (3.10.1-3) unstable; urgency=medium

  * Add Replace_the_deprecated_argument_tenant.patch (Closes: #1009455).

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Apr 2022 12:00:38 +0200

python-castellan (3.10.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 12:04:19 +0100

python-castellan (3.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-requests-mock to build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Feb 2022 16:42:33 +0100

python-castellan (3.9.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 10:04:05 +0200

python-castellan (3.9.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 16:19:25 +0200

python-castellan (3.7.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 08:17:31 +0200

python-castellan (3.7.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions from (build-)depends when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 09:59:21 +0100

## python-castellan 4.0.0

=== debian/changelog ===
python-castellan (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Sep 2022 22:06:20 +0200

python-castellan (4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 17:15:14 +0200

=== debian/control ===
Source: python-castellan
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-barbicanclient,
 python3-cryptography,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-castellan
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-castellan.git
Homepage: https://opendev.org/openstack/castellan

Package: python-castellan-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: generic key manager interface for OpenStack - doc
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the documentation.

Package: python3-castellan
Architecture: all
Depends:
 python3-barbicanclient,
 python3-cryptography,
 python3-keystoneauth1,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-castellan-doc,
Description: generic key manager interface for OpenStack - Python 3.x
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/castellan/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-castellan 4.1.0

=== debian/changelog ===
python-castellan (4.1.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 23 Feb 2023 14:41:17 +0000

python-castellan (4.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 13:08:42 -0500

python-castellan (4.0.0-0ubuntu3) kinetic; urgency=medium

  * d/python3-castellan.install: Ensure castellan.conf is installed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 17:06:59 -0400

python-castellan (4.0.0-0ubuntu2) kinetic; urgency=medium

  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 15:52:14 -0400

python-castellan (4.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 15:26:48 -0400

python-castellan (3.11.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 May 2022 12:35:47 -0400

## python-castellan 4.3.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
reno>=3.1.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
python-castellan (4.3.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 29 Sep 2023 05:07:13 +0000

python-castellan (4.3.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Sep 2023 09:38:27 -0400

=== debian/control ===
Source: python-castellan
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-barbicanclient (>= 4.5.2),
 python3-cryptography (>= 2.7),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.config (>= 1:6.4.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.18.0),
 python3-requests-mock (>= 1.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-castellan
Homepage: https://github.com/openstack/castellan
Testsuite: autopkgtest-pkg-python

Package: python-castellan-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: generic key manager interface for OpenStack - doc
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the documentation.

Package: python3-castellan
Architecture: all
Depends:
 python3-barbicanclient (>= 4.5.2),
 python3-cryptography (>= 2.7),
 python3-keystoneauth1 (>= 3.4.0),
 python3-oslo.config (>= 1:6.4.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.18.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-castellan-doc,
Breaks: python-castellan (<< 1.2.2-0ubuntu2~)
Replaces: python-castellan (<< 1.2.2-0ubuntu2~)
Description: generic key manager interface for OpenStack - Python 3.x
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the Python 3.x module.

## python-castellan 5.0.0

=== requirements.txt ===
pbr!=2.1.0,>=2.0.0 # Apache-2.0
cryptography>=2.7 # BSD/Apache-2.0
python-barbicanclient>=5.5.0 # Apache-2.0
oslo.config>=6.4.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
requests>=2.18.0,!=2.20.0 # Apache-2.0

=== debian/changelog ===
python-castellan (5.0.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 08 Mar 2024 11:40:36 +0000

python-castellan (5.0.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal. 
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 09:59:44 +0000

## python-castellan 5.1.1

=== requirements.txt ===
pbr>=2.0.0 # Apache-2.0
cryptography>=2.7 # BSD/Apache-2.0
python-barbicanclient>=5.5.0 # Apache-2.0
oslo.config>=6.4.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
requests>=2.18.0 # Apache-2.0

=== debian/changelog ===
python-castellan (5.1.1-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090472).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 11:39:50 +0100

python-castellan (5.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 16:41:44 +0200

python-castellan (5.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 10:27:09 +0200

python-castellan (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:05:08 +0200

python-castellan (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Mar 2024 13:39:14 +0100

python-castellan (4.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2024 13:22:43 +0100

python-castellan (4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Sep 2023 17:02:50 +0200

python-castellan (4.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fix long description.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Sep 2023 17:07:02 +0200

python-castellan (4.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 10:51:18 +0200

python-castellan (4.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1049009).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 13:54:29 +0200

python-castellan (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 10:25:03 +0200

python-castellan (4.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Feb 2023 14:22:09 +0100

## python-castellan 5.2.0

=== debian/changelog ===
python-castellan (5.2.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Jan 2025 14:32:25 +0000

python-castellan (5.1.1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 09:55:19 +0100

python-castellan (5.1.0-0ubuntu1) oracular; urgency=medium

  * New upstream release. 

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 08:04:35 +0100

## python-castellan 5.2.1

=== debian/changelog ===
python-castellan (5.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 07:53:20 +0100

python-castellan (5.2.1-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 15:28:57 +0100

=== debian/control ===
Source: python-castellan
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-barbicanclient,
 python3-cryptography,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-castellan
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-castellan.git
Homepage: https://opendev.org/openstack/castellan

Package: python-castellan-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: generic key manager interface for OpenStack - doc
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the documentation.

Package: python3-castellan
Architecture: all
Depends:
 python3-barbicanclient,
 python3-cryptography,
 python3-keystoneauth1,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-castellan-doc,
Description: generic key manager interface for OpenStack
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.

## python-castellan 5.4.0

=== debian/changelog ===
python-castellan (5.4.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/p/sphinxcontrib-rsvgconverter.patch: Refresh.
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 15 Jul 2025 08:50:43 -0700

python-castellan (5.2.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:45:16 +0000
